<?php

namespace Cache\Controller;

use Zend\Mvc\Controller\AbstractActionController;

class DoctrineCacheController extends AbstractActionController
{
    public function flushAction()
    {
        $console = $this->getConsole();
        $config  = $this->getObjectManager()->getConfiguration();

        // All is true when no other params are given
        $all = !$this->params('query')     && !$this->params('q')
            && !$this->params('result')    && !$this->params('r')
            && !$this->params('metadata')  && !$this->params('m')
            && !$this->params('hydration') && !$this->params('h');

        if ($all || $this->params('query') || $this->params('q')) {
            $config->getQueryCacheImpl()->flushAll();
            if (!$all) {
                $console->writeLine('Doctrine query cache flushed');
            }
        }
        if ($all || $this->params('result') || $this->params('r')) {
            $config->getResultCacheImpl()->flushAll();
            if (!$all) {
                $console->writeLine('Doctrine result cache flushed');
            }
        }
        if ($all || $this->params('metadata') || $this->params('m')) {
            $config->getMetadataCacheImpl()->flushAll();
            if (!$all) {
                $console->writeLine('Doctrine metadata cache flushed');
            }
        }
        if ($all || $this->params('hydration') || $this->params('h')) {
            $config->getHydrationCacheImpl()->flushAll();
            if (!$all) {
                $console->writeLine('Doctrine hydration cache flushed');
            }
        }

        if ($all) {
            $console->writeLine('All Doctrine caches are flushed');
        }
    }

    protected function getConsole()
    {
        return $this->getServiceLocator()->get('console');
    }

    protected function getObjectManager()
    {
        return $this->getServiceLocator()->get('doctrine.entitymanager.orm_default');
    }
}
